//]]>-->

Flash-plugin til Debian. Virker ikke.

alt om grafiske brukergrensesnitt (GNOME, KDE, osv.), applikasjoner tett knyttet til disse og multimedia.

Flash-plugin til Debian. Virker ikke.

Innleggav geirergoy » tir 03.02.2009 16:14

Hallo!
Jeg er en gammel Debian-fan, som lenge har levd i Ubuntu-eksil.
Og det ser ut til å fortsette...

Jeg har altså fått lagt inn Debian i VirtualBox på en Ubuntumaskin.
Lyd og nettverk funker fint, selv om lyden hakker litt. Ikke rart, det er jo en laptop fra 2006.
Men det funker.

Det som derimot ikke funker er YouTube, og andre flash-sider.
Det første jeg prøvde var den offisielle deb-pakken, siden det er enklest. Den hadde "unmet dependencies: libatk1.0-0

Så jeg gjorde det på gamlemåten, med tar.gz.

Har prøvd noen ganger nå, alltid med perfekt resultat.
Problemet er at når jeg starter nettleseren (IceWeasel) igjen etterpå, så påstår den fortsatt at pluginen ikke er installert!

Har prøvd flere ganger nå, både som root, og med det vanlige brukernavnet.
Har også prøvd litt forskjellige plasseringer, som:
/usr/lib/mozilla og /usr/lib/iceweasel.

Har sjekket at filen faktisk ligger der, riktignok eid av root, men kjørbar og lesbar for alle.

Hva mer kan jeg gjøre?

Brukerens avatar
medlem i 171 måneder
 

Re: Flash-plugin til Debian. Virker ikke.

Innleggav Soerboe » tir 03.02.2009 17:37

Hei. Dette er et skudd i blinde:
Hva står det i "Innstillinger -> Programmer" om SPL- og SWF-filer?

Brukerens avatar
medlem i 154 måneder
 

Re: Flash-plugin til Debian. Virker ikke.

Innleggav trondrm » tir 03.02.2009 17:57

har du med non-free og contrib linjene i sources.list?

Har du det, så skal dette fikse biffen:

aptitude install flashplugin-nonfree.

Brukerens avatar
medlem i 174 måneder
 

Re: Flash-plugin til Debian. Virker ikke.

Innleggav omaha » tir 03.02.2009 18:54

Du kan jo bare glede deg fremover du!

Lenny RC2 er ute, og tentativ lansering er 14 feb.
medlem i 156 måneder
 

Re: Flash-plugin til Debian. Virker ikke.

Innleggav geirergoy » ons 04.02.2009 23:12

Arrrgh!!!
Har lagt inn det meste som heter noe med Flash nå
IceWeasel er ikke i stand til å vise innhold på youtube. Epiphany klarer det heller ikke.
Begge påstår at jeg må legge inn siste versjon av flash-pluginen, noe jeg har gjort minst et dusin ganger. Dette er et lavmål, selv for Debian. Jeg er vant til konfigurasjonsinferno, men dette tar kaka.

Har jeg gjort noe feil, og i så fall hva?

aptitude install flashplugin-nonfree.
Denne finner jeg ikke.

Dette er min sources.list for øyeblikket. Har endret den etterbeste evne:
Kode: Merk alt
#
# deb cdrom:[Debian GNU/Linux 4.0 r6-etchnhalf _Etch-and-a-half_ - Official i386 NETINST 20081220-23:42]/ etch main

deb cdrom:[Debian GNU/Linux 4.0 r6-etchnhalf _Etch-and-a-half_ - Official i386 NETINST 20081220-23:42]/ etch main

deb http://ftp.no.debian.org/debian/ etch main
deb-src http://ftp.no.debian.org/debian/ etch main

deb http://security.debian.org/ etch/updates main
deb-src http://security.debian.org/ etch/updates main

deb http://volatile.debian.org/debian-volatile etch/volatile main
# deb http://http.us.debian.org/debian/ sarge main contrib non-free
deb http://http.us.debian.org/debian/ etch main
deb-src http://volatile.debian.org/debian-volatile etch/volatile main


Er ikke Sarge 10 år gammel? Det kan ikke være meningen at jeg sklal aktivere den?
jeg prøvde, men den klarte ikke engang å koble til serveren. Må være nedlagt.

Har tenkt å kjøpe en mini-PC i stil med Asus EEE og kjøre debian. Det kan ikke bli aktuelt før jeg får til slike elementære greier som flash.

Brukerens avatar
medlem i 171 måneder
 

Re: Flash-plugin til Debian. Virker ikke.

Innleggav trondrm » ons 04.02.2009 23:29

Ah.. I Etch ligger den i backports. Legg til denne linja i sources.list:

deb http://www.backports.org/debian etch-backports main contrib non-free

Kjør aptitude update og aptitude install flashplugin-nonfree

Mulig at du må kjøre: aptitude -t etch-backports install flashplugin-nonfree.

Du får da en backportet flashpakke, som pr. tiden er nyeste versjon av flash9. Det er offisiell pakke fra Adobe, pakket som deb.

Brukerens avatar
medlem i 174 måneder
 

Re: Flash-plugin til Debian. Virker ikke.

Innleggav geirergoy » tor 05.02.2009 0:05

Ditt siste forslag fungerte, uten at jeg egentlig forstår hvorfor ingenting annet fungerte .-(

Og hvis det finnes en nyere versjon av deb-pakken enn den som YouTube linker til, hvorfor linker ikke YouTube til den i steden?

Uansett, det funker nå. TUSEN TAKK!



Lyden er dog fortsatt skurrete. Hvorfor? Husk; jeg kjører Debian i VurtualBox på en Ubuntu-maskin.

PS- hva er en backporta pakke?

Brukerens avatar
medlem i 171 måneder
 

Re: Flash-plugin til Debian. Virker ikke.

Innleggav trondrm » tor 05.02.2009 15:50

Debian Etch er for tiden Debian Stable. Det vil si at den er frosset for nye versjoner av progammer. Av og til vil man hente inn nyere versjoner av programmer som fulgte med Etch, eksempler kan være OpenOffice.org og som i ditt tilfelle, Flash.

Da bruker man backports. Dette er pakker fra Debian Testing (Lenny) som er kompilert for Etch.

Brukerens avatar
medlem i 174 måneder
 


Returner til Skrivebord / Multimedia



Hvem er i Forumene

Registrerte brukere: Google [Bot]